//
//  fepctrnm.h
//
//  Offset definition file for exensible counter objects and counters
//
//  These "relative" offsets must start at 0 and be multiples of 2 (i.e.
//  even numbers). In the Open Procedure, they will be added to the
//  "First Counter" and "First Help" values fo the device they belong to,
//  in order to determine the  absolute location of the counter and
//  object names and corresponding help text in the registry.
//
//  this file is used by the extensible counter DLL code as well as the
//  counter name and help text definition file (.INI) file that is used
//  by LODCTR to load the names into the registry.
//
#define FEPOBJ 0
#define FEP_NUM_OPEN 2
#define FEP_OPEN_REQ 4
#define FEP_CLOSE_REQ 6
#define FEP_READ_REQ 8
#define FEP_WRITE_REQ 10
#define FEP_IOCTL_REQ 12
#define FEP_BYTES_READ 14
#define FEP_BYTES_WRITTEN 16

#define PORTOBJ 18
#define PORT_READ_REQ 20
#define PORT_WRITE_REQ 22
#define PORT_IOCTL_REQ 24
#define PORT_BYTES_READ 26
#define PORT_BYTES_WRITTEN 28
#define PORT_SEND_BUFFER_SIZE 30
#define PORT_SEND_BUFFER_BYTES 32
#define PORT_PARITY_ERROR_COUNT 34
#define PORT_FRAME_ERROR_COUNT 36
#define PORT_BUFFER_OVERRUN_COUNT 38
#define PORT_SERIAL_OVERRUN_COUNT 40

